#!/usr/bin/env python3

"""
Cat exercise / demo
Nick Parlante CS193q

a. implement echo_file

b. implement has_word

c. implement censor_file

d. modify main() so it works like this:
python3 cat.py poem.txt -- regular echo
python3 cat.py -censor word poem.txt -- echo with censoring

"""
import sys



def has_word(line, word):
    """
    Returns True if word is in line, ignoring case differences.
    >>> has_word('aaa cat bbb', 'cat')
    True
    >>> has_word('aaa CAT bbb', 'cat')
    True
    >>> has_word('aaa cat bbb', 'Cat')
    True
    >>> has_word('aaa cat bbb', 'dog')
    False
    """
    # need to do non-case sensitive checking for word
    # your code here
    word = word.lower()
    line = line.lower()
    return word in line


def censor_file(filename, word):
    """
    Echo file, omitting lines that have
    forbidden word.
    """
    with open(filename) as f:
        for line in f:
            line = line.strip()
            if not has_word(line, word):
                print(line)


def echo_file(filename):
    """
    Demonstrates the canonical file-read loop.
    Reads lines from a text file and prints them out.
    """
    with open(filename) as f:
        for line in f:
            line = line.strip()  # trailing '\n'
            print(line)


def main():
    # Standard args= line
    args = sys.argv[1:]

    if len(args) == 1:
        echo_file(args[0])

    if len(args) == 3 and args[0] == '-censor':
        censor_file(args[2], args[1])


if __name__ == '__main__':
  main()

